Nvidia 3090显卡支持问题
shine仙儿 发布于2020-10 浏览:3088 回复:16
1
收藏

一个服务器上,同时安装了Nvidia 2070 super显卡和Nvidia 3090显卡,安装paddle paddle之后,在2070s显卡上可正常使用,如下图所示:

paddle.fluid.install_check.run_check()
Running Verify Paddle Program ...
W1028 18:11:05.836931 11559 device_context.cc:237] Please NOTE: device: 0, CUDA Capability: 75, Driver API Version: 11.1, Runtime API Version: 10.0
W1028 18:11:05.839093 11559 device_context.cc:245] device: 0, cuDNN Version: 7.5.
W1028 18:11:05.839110 11559 device_context.cc:271] WARNING: device: 0. The installed Paddle is compiled with CUDNN 7.6, but CUDNN version in your machine is 7.5, which may cause serious incompatible bug. Please recompile or reinstall Paddle with compatible CUDNN version.
Your Paddle works well on SINGLE GPU or CPU.
I1028 18:11:07.455816 11559 parallel_executor.cc:440] The Program will be executed on CUDA using ParallelExecutor, 1 cards are used, so 1 programs are executed in parallel.
I1028 18:11:07.456137 11559 build_strategy.cc:365] SeqOnlyAllReduceOps:0, num_trainers:1
I1028 18:11:07.456391 11559 parallel_executor.cc:307] Inplace strategy is enabled, when build_strategy.enable_inplace = True
I1028 18:11:07.456578 11559 parallel_executor.cc:375] Garbage collection strategy is enabled, when FLAGS_eager_delete_tensor_gb = 0
Your Paddle works well on MUTIPLE GPU or CPU.
Your Paddle is installed successfully! Let's start deep Learning with Paddle now

但是在3090显卡上验证的时候,却一直卡住,不出结果,如下:

Running Verify Paddle Program ...
W1028 18:04:00.730057 10037 device_context.cc:237] Please NOTE: device: 0, CUDA Capability: 86, Driver API Version: 11.1, Runtime API Version: 10.0
W1028 18:04:00.732218 10037 device_context.cc:245] device: 0, cuDNN Version: 7.5.
W1028 18:04:00.732234 10037 device_context.cc:271] WARNING: device: 0. The installed Paddle is compiled with CUDNN 7.6, but CUDNN version in your machine is 7.5, which may cause serious incompatible bug. Please recompile or reinstall Paddle with compatible CUDNN version.

 

收藏
点赞
1
个赞
共16条回复 最后由七年期限回复于2020-12
#17七年期限回复于2020-12
#14 上合软件回复
CPU能跑。。GPU不能跑 。亏大了~

亏了亏了 或者是自己编译?

 

0
#16七年期限回复于2020-12
#13 上合软件回复
买了张3060ti来搞学习的 。结果跑不过。  郁闷死 。不是京东购入 退不了~
展开

后续肯定会支持的 害得再等等

0
#15七年期限回复于2020-12
#13 上合软件回复
买了张3060ti来搞学习的 。结果跑不过。  郁闷死 。不是京东购入 退不了~
展开

太难了

0
#14上合软件回复于2020-12

CPU能跑。。GPU不能跑 。亏大了~

0
#13上合软件回复于2020-12

买了张3060ti来搞学习的 。结果跑不过。  郁闷死 。不是京东购入 退不了~

0
#12七年期限回复于2020-11
#10 周小鱼whoyou回复
最近不是一直听说30系显卡的事,现在很多框架都还不支持CUDA11,所以外头很多人收2080Ti来组深度学习的机器。
展开

2.0好像支持11了把?  有人试过吗

0
#11天子骄子fly回复于2020-11

听tensorflow2.4支持CUDA 11

0
#10周小鱼whoyou回复于2020-11

最近不是一直听说30系显卡的事,现在很多框架都还不支持CUDA11,所以外头很多人收2080Ti来组深度学习的机器。

0
#9七年期限回复于2020-11
#7 sniper_dotte回复
我也遇到了。试了各个版本的paddle以及不同的cuda版本,都是一样的结果,验证的时候就卡住,算法都执行不了。有没有什么方案呀,为了用paddle才买来3090显卡,结果用不了,1万多白买了啊。
展开

等等更新吧  2.0是不是可以用?  听说2.0可以用11

0
#8星光ld1回复于2020-11
#7 sniper_dotte回复
我也遇到了。试了各个版本的paddle以及不同的cuda版本,都是一样的结果,验证的时候就卡住,算法都执行不了。有没有什么方案呀,为了用paddle才买来3090显卡,结果用不了,1万多白买了啊。
展开

等版本更新,目前应该不行吧,应该还不支持那么高的cuda

0
#7sniper_dotte回复于2020-11

我也遇到了。试了各个版本的paddle以及不同的cuda版本,都是一样的结果,验证的时候就卡住,算法都执行不了。有没有什么方案呀,为了用paddle才买来3090显卡,结果用不了,1万多白买了啊。

0
#6七年期限回复于2020-11
#5 天子骄子fly回复
3090只支持CUDA11.1吧,PaddlePaddle还U不支持

我记得是的

0
#5天子骄子fly回复于2020-11

3090只支持CUDA11.1吧,PaddlePaddle还U不支持

0
#4七年期限回复于2020-11

这个好像还不支持呢吧?  3090不是听说需要11才支持?

0
#3蓝葡萄仔回复于2020-11

我也一直不出结果,CUDNN是7.6

0
#2R463125715回复于2020-10

Please recompile or reinstall Paddle with compatible CUDNN version.

0
TOP
切换版块